---
id: emoji-key
title: Emoji Key ✨ (and Contribution Types)
sidebar_label: Emoji Key ✨
---

## Table

> To have a contribution added when using the [Bot](bot/overview) or [CLI](cli/overview) use the keyword in the `Type` column. The bot will also use [basic Natural Language Parsing](https://github.com/all-contributors/all-contributors-bot/blob/master/src/tasks/processIssueComment/utils/parse-comment/index.js) to determine your contribution intent.

Emoji/Type | Represents | Comments
:---: | :---: | :---:
♿️ <br /> `a11y` | Accessibility | Reporting or working on accessibility issues
🐛 <br /> `bug` | Bug reports | links to issues reported by the user on this project
📝 <br /> `blog` | Blogposts | links to the blogpost
💼 <br /> `business` | Business Development | people who execute on the business end
💻 <br /> `code` | Code | links to commits by the user on this project
🖋 <br /> `content` | Content | e.g. website copy, blog posts are separate
🔣 <br /> `data` | Data | links to contributed data for the project (both tests and datasets)
📖 <br /> `doc` | Documentation | links to commits by the user on this project, Wiki, or other source of documentation
🎨 <br /> `design` | Design | links to the logo/iconography/visual design/etc.
💡 <br /> `example` | Examples | links to the examples
📋 <br /> `eventOrganizing` | Event Organizers | links to event page |
💵 <br /> `financial` | Financial Support | people or orgs who provide financial support, links to relevant page
🔍 <br /> `fundingFinding` | Funding/Grant Finders | people who help find financial support
🤔 <br /> `ideas` | Ideas & Planning | |
🚇 <br /> `infra` | Infrastructure | Hosting, Build-Tools, etc. Links to source file (like `travis.yml`) in repo, if applicable
🚧 <br /> `maintenance` | Maintenance | people who help in maintaining the repo, links to commits by the user on this project
📦 <br /> `platform` | Packaging | porting to support a new platform |
🔌 <br /> `plugin` | Plugin/utility libraries | links to the repo home
📆 <br/> `projectManagement` | Project Management | |
💬 <br /> `question` | Answering Questions | Answering Questions in Issues, Stack Overflow, Gitter, Slack, etc.
👀 <br /> `review` | Reviewed Pull Requests | |
🛡️ <br /> `security` | Security | identify and/or reduce security threats, GDPR, Privacy, etc
🔧 <br /> `tool` | Tools | links to the repo home
🌍 <br /> `translation` | Translation | links to the translated content
⚠️ <br /> `test` | Tests | links to commits by the user on this project
✅ <br /> `tutorial` | Tutorials | links to the tutorial
📢 <br /> `talk` | Talks | links to the slides/recording/repo/etc
📓 <br /> `userTesting` | User Testing | links to user test notes
📹 <br /> `video` | Videos | links to the video

## What's next
- [Notes for repository maintainers](repository-maintainers)
- [Automating the process using tools](tooling)
